<?php
require '../vendor/autoload.php';

// Braintree configuration
$gateway = new Braintree\Gateway([
    'environment' => 'sandbox', // Use 'production' for live environment
    'merchantId' => 'zhmjgvwg8j6mgwhq',
    'publicKey'  => 'dnxgyjcknsr96tbt',
    'privateKey' => 'b8cdf0f323329b702d62f88412d3af58',
]);

// Database connection
$host = 'localhost';
$dbname = 'wda';
$username = 'wda';
$password = 'sB7]?Hu@Q#8{';
try {
    $db = new PDO("mysql:host=$host;dbname=$dbname", $username, $password);
    $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    die("Database connection failed: " . $e->getMessage());
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $email = $_POST['cardholder_email']; // The transaction amount
    $phone = $_POST['cardholder_phone']; // The transaction amount
    $amount = $_POST['amount']; // The transaction amount
    $package = $_POST['package']; // Package details (optional)
    $cardholder_name = $_POST['cardholder_name'];
    $card_number = $_POST['card_number'];
    $expiration_date = $_POST['expiration_date'];
    $cvv = $_POST['cvv'];
    $postal_code = $_POST['postal_code'];

    // Process the payment
    $result = $gateway->transaction()->sale([
        'amount' => $amount,
        'creditCard' => [
            'cardholderName' => $cardholder_name,
            'number' => $card_number,
            'expirationDate' => $expiration_date,
            'cvv' => $cvv,
        ],
        'billing' => [
            'postalCode' => $postal_code,
        ],
        'options' => [
            'submitForSettlement' => true
        ]
    ]);

    // Handle response
    if ($result->success) {
        // Save transaction to database
        $stmt = $db->prepare("INSERT INTO transactions (email, phone, amount, package, cardholder_name, transaction_id, status, created_at) 
                              VALUES (?, ?, ?, ?, ?, ?, ?, NOW())");
        $stmt->execute([$email, $phone, $amount, $package, $cardholder_name, $result->transaction->id, 'success']);

        // Send email
        sendPaymentEmail($email, $phone, $amount, $package, $result->transaction->id);

        echo "Payment Successful! Transaction ID: " . $result->transaction->id;
    } else {
        // Log failed transaction
        $stmt = $db->prepare("INSERT INTO transactions (email, phone, amount, package, cardholder_name, status, created_at) 
                              VALUES (?, ?, ?, ?, ?, ?, NOW())");
        $stmt->execute([$email, $phone, $amount, $package, $cardholder_name, 'failed']);

        echo "Payment Failed: " . $result->message;
    }
}


function sendPaymentEmail($email, $phone, $amount, $package, $transactionId) {
    $mail = new PHPMailer\PHPMailer\PHPMailer();
    $mail->isSMTP();
    $mail->SMTPDebug = 2; // Enable verbose debug output
    $mail->Debugoutput = 'html';
    $mail->Host = 'mail.demodesignz.com';
    $mail->SMTPAuth = true;
    $mail->Username = 'testmail@demodesignz.com';
    $mail->Password = 'ay]cv_o_!UPE';
    $mail->SMTPSecure = 'ssl'; // Try SSL
    $mail->Port = 465; // SSL port

    $mail->setFrom('testmail@demodesignz.com', 'Your Business');
    $mail->addAddress($email);

    $mail->isHTML(true);
    $mail->Subject = 'Payment Confirmation';
    $mail->Body    = "
        <h3>Payment Confirmation</h3>
        <p>Dear $cardholder_name,</p>
        <p>Your payment of $$amount has been successfully processed.</p>
        <p>Transaction ID: $transactionId</p>
        <p>Package: $package</p>
        <p>Phone: $phone</p>
        <p>Thank you for your purchase!</p>
    ";

    if(!$mail->send()) {
        echo 'Email could not be sent.';
        echo 'Mailer Error: ' . $mail->ErrorInfo;
    } else {
        echo 'Email has been sent';
    }
}
?>