<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>PayPal Payment Form</title>

     <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    
    <style>
        .main-section {
            min-height: 100vh;
        }

        

        .heading-form h3 {
            font-family: 'Poppins', sans-serif;
            font-weight: 600;
            font-size: 32px;
            text-align: center;
            color: #141232;
        }

        .newbutton {
            background: transparent;
            border: 2px solid #e92747;
            transition: 0.5s;
            color: black;
            font-weight: 600;
            padding: 12px 40px;
            text-transform: uppercase;
            cursor: pointer;
            margin: 10px auto;
            display: block;
        }

        .newbutton:hover {
            background-color: #e92747;
            color: white;
        }
        
       
        .centered-form-container {
            min-height: 100vh;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        .payment-form {
            margin: 0vh auto;
            background: #fff;
            width: 100%;
            
            padding: 30px;
            background-color: #f8f9fa;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        }
        .payment-heading {
            font-size: 24px;
            font-weight: bold;
            text-align: center;
            margin-bottom: 20px;
        }
        .form-label {
            font-weight: bold;
        }
        .submit-btn {
            width: 100%;
            padding: 12px;
            background-color: #28a745;
            border: none;
            color: white;
            font-size: 16px;
            font-weight: bold;
            border-radius: 4px;
            transition: background-color 0.3s;
        }
        .submit-btn:hover {
            background-color: #218838;
        }
        
        .thank-you-card {
            background-color: #fff;
            padding: 30px;
            border-radius: 15px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            display: inline-block;
           
            margin-top: 50px;
        }

        .icon {
            font-size: 50px;
            color: #0070ba; /* PayPal's signature blue */
            animation: bounce 1.2s ease-in-out infinite;
        }

        .message {
            font-size: 20px;
            font-weight: bold;
            margin-top: 15px;
            color: #333;
        }

        .details {
            margin-top: 10px;
            font-size: 16px;
            color: #555;
            margin-bottom:40px;
        }

        @keyframes bounce {
            0%, 100% {
                transform: translateY(0);
            }

            50% {
                transform: translateY(-10px);
            }
        }

        .btn-home {
            background-color: #0070ba;
            color: white;
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            margin-top: 20px;
            cursor: pointer;
            font-size: 18px;
            text-decoration: none;
        }
.paypal-con {
    height: 100vh;
    display: flex;
    align-items: center;
    
}
        .btn-home:hover {
            background-color: #005a93;
        }
         .transaction-summary-container {
            background-color: white;
            border-radius: 10px;
            width: 350px;
            margin: 0 auto;
            padding: 20px;
            box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
        }
.transaction-summary {
    background: #f8f9fa;
    box-shadow: 0px 0px 3px #00000099;
    padding: 40px;
    border-radius: 10px;
}
        .summary-header {
            text-align: center;
            font-size: 20px;
            font-weight: bold;
            margin-bottom: 20px;
        }

        .summary-item {
            display: flex;
            justify-content: space-between;
            padding: 10px 0;
            border-bottom: 1px solid #ddd;
        }

        .summary-item:last-child {
            border-bottom: none;
        }

        .item-name {
            font-size: 16px;
            color: #333;
        }

        .item-code {
            font-size: 12px;
            color: #888;
        }

        .item-price {
            font-size: 16px;
            font-weight: bold;
        }

        .total-row {
            display: flex;
            justify-content: space-between;
            padding-top: 20px;
            font-size: 18px;
            font-weight: bold;
        }
          @media (max-width: 480px) {
              .transaction-summary {
                    display: none;
                }
          }
    </style>
    
</head>
<body>
    <?php 
        if(isset($_GET['currency']) && isset($_GET['amount']) && isset($_GET['package']))
        {
            $currency = $_GET['currency'];
            $amount = $_GET['amount'];
            $package = $_GET['package'];
            if (!is_numeric($amount) || filter_var($amount, FILTER_VALIDATE_FLOAT) === false) {
                header('Location: ' . $_SERVER['HTTP_REFERER'] . '?error=Invalid amount. Please provide a valid number.');
                exit();
            }
            $amount = floatval($amount);
        }
        else{
            echo 'Given data is invalid';
            die();
        }
    ?>
<div class="paypal-con">
    <div class="container">
        <div class="row">
            <div class="col-lg-6 d-md-block mb-5">
               <div class="transaction-summary">
                    <div class="summary-header">Transaction Summary</div>
                    <div class="summary-item">
                        <div>
                            <div class="item-name">Package</div>
                            <!--<div class="item-code">sku_apple</div>-->
                        </div>
                        <div class="item-price"><?= $package ?></div>
                    </div>
                    <div class="summary-item">
                        <div>
                            <div class="item-name">Currency</div>
                            <!--<div class="item-code">sku_orange</div>-->
                        </div>
                        <div class="item-price">USD</div>
                    </div>
                    <div class="total-row">
                        <div>Total</div>
                        <div>$<?= $amount ?></div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <form id="payment-form" class="payment-form">
                    <div class="heading-form">
                        <h3>Secure PayPal Payment</h3>
                    </div>
                    <input type="hidden" id="amount" name="amount" value="<?= $amount ?>" required>
                    <input type="hidden" id="package" name="package" value="<?= $package ?>" required>
                    <div id="paypal-button-container" class="mt-4"></div>
                </form>
            </div>
        </div>
    </div>
</div>
    <script src="https://www.paypal.com/sdk/js?client-id=AUcCz1zAiDv4xTK_iA7mvo_EBXQ5Ye90N9ShW8dHLS9C-7Sdp0l0pHbDYwAistqsL_-trzesmtfp7Orr&currency=<?= $currency ?>"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
        paypal.Buttons({
            createOrder: function(data, actions) {
                return actions.order.create({
                    purchase_units: [{
                        amount: {
                            value: document.getElementById('amount').value
                        },
                        description: "Website:customlogoagency.com & Package: " + document.getElementById('package').value
                    }]
                });
            },
            onApprove: function(data, actions) {
                return actions.order.capture().then(function(details) {
                    alert('Transaction completed by ' + details.payer.name.given_name);
                    console.log(details)
                    fetch('send_email.php', {
                        method: 'POST',
                        headers: {
                            'Content-Type': 'application/json'
                        },
                        body: JSON.stringify({
                            email: details.payer.email_address,
                            name: details.payer.name.given_name,
                            amount: details.purchase_units[0].amount.value,
                            description: details.purchase_units[0].description
                        })
                        
                    })
                    .then(response => response.json())
                    .then(data => {
                        Swal.fire({
                            title: 'Success!',
                            text: 'Email sent successfully!',
                            icon: 'success',
                            timer: 1500,  // Auto close after 1.5 seconds
                            showConfirmButton: false  // No confirmation button
                        }).then(() => {
                            window.location.href = "https://customlogoagency.com";  // Redirect after alert closes
                        });
                    })
                    .catch(error => console.error('Email error:', error));
                });
            },
            onError: function(err) {
                console.error('PayPal Checkout Error:', err);
            }
        }).render('#paypal-button-container'); 
    </script>
    

    
    
    
    <!--//for authorize Start-->
    <!--<div class="centered-form-container">-->
    <!--    <div class="payment-form">-->
    <!--        <h2 class="payment-heading">Payment Form</h2>-->
    <!--        <form id="paymentForm">-->
    <!--            <input type="hidden" id="amount" name="amount" value="<?= $amount ?>">-->
    <!--            <div class="mb-3">-->
    <!--                <label for="cardNumber" class="form-label">Card Number:</label>-->
    <!--                <input type="text" id="cardNumber" name="cardNumber" class="form-control" required>-->
    <!--            </div>-->
    <!--            <div class="row g-2">-->
    <!--                <div class="col-md-6">-->
    <!--                    <label for="expMonth" class="form-label">Expiration Month:</label>-->
    <!--                    <input type="text" id="expMonth" name="expMonth" class="form-control" placeholder="MM" required>-->
    <!--                </div>-->
    <!--                <div class="col-md-6">-->
    <!--                    <label for="expYear" class="form-label">Expiration Year:</label>-->
    <!--                    <input type="text" id="expYear" name="expYear" class="form-control" placeholder="YYYY" required>-->
    <!--                </div>-->
    <!--            </div>-->
    <!--            <div class="mb-3">-->
    <!--                <label for="cvv" class="form-label">CVV:</label>-->
    <!--                <input type="text" id="cvv" name="cvv" class="form-control" required>-->
    <!--            </div>-->
    <!--            <button type="submit" class="btn btn-success w-100">Submit Payment $(<?= $amount ?>)</button>-->
    <!--        </form>-->
    <!--        <div id="responseMessage" class="mt-3"></div>-->
    <!--    </div>-->
    <!--</div>-->

    <!--<script>-->
    <!--    $(document).ready(function() {-->
    <!--        $('#paymentForm').on('submit', function(e) {-->
    <!--            e.preventDefault(); -->
    <!--            $.ajax({-->
    <!--                url: 'authorize_payment.php',-->
    <!--                type: 'POST',-->
    <!--                data: $(this).serialize(),-->
    <!--                dataType: 'json',-->
    <!--                success: function(response) {-->
    <!--                    console.log(response);-->
    <!--                    if (response.success) {-->
    <!--                        $('#responseMessage').html('<div class="alert alert-success">' + response.message + '<br>Transaction ID: ' + response.transactionId + '</div>');-->
    <!--                    } else {-->
    <!--                        $('#responseMessage').html('<div class="alert alert-danger">Error: ' + response.errorMessage + ' (Code: ' + response.errorCode + ')</div>');-->
    <!--                    }-->
    <!--                },-->
    <!--                error: function(xhr, status, error) {-->
    <!--                    console.log(error);-->
    <!--                    $('#responseMessage').html('<div class="alert alert-danger">An error occurred: ' + error + '</div>');-->
    <!--                }-->
    <!--            });-->
    <!--        });-->
    <!--    });-->
    <!--</script>-->
    <!--//for authorize End-->
</body>
</html>